Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class JScriptHelp

public class JScriptHelp

Field Summary
`final static String` | `ARGUMENT_ELEMENT`
`final static String` | `CODE_ATTR`
`final static String` | `DESCRIPTION_ATTR`
`final static String` | `EXAMPLE_ELEMENT`
`final static String` | `FUNCTION_ELEMENT`
`final static String` | `NAME_ATTR`
`final static String` | `OBLIGATORY_ATTR`
`final static String` | `PROPERTY_ELEMENT`
`final static String` | `READ_ONLY_ATTR`
`final static String` | `RETURNS_ELEMENT`
`final static String` | `THROWS_ELEMENT`
`final static String` | `TYPE_ATTR`

Method Summary
`static String` | `getHelpValue(Object scriptable)`
`static void` | `readFunctionInfo(FunctionInfo info, Scriptable scope, IConfigurationElement[] elements)`
`static void` | `readFunctionInfo(FunctionInfo info, Scriptable scope, IConfigurationElement docElement)`
`static void` | `readHostObjectInfo(HostObjectInfo info, Scriptable host, IConfigurationElement element)`
`static void` | `readPropertyInfo(PropertyInfo info, Scriptable scope, IConfigurationElement element)`
`static void` | `setHelpValue(Object scriptable, String help)`

Field Detail

### ARGUMENT_ELEMENT

    public final static String ARGUMENT_ELEMENT

### CODE_ATTR

    public final static String CODE_ATTR

### DESCRIPTION_ATTR

    public final static String DESCRIPTION_ATTR

### EXAMPLE_ELEMENT

    public final static String EXAMPLE_ELEMENT

### FUNCTION_ELEMENT

    public final static String FUNCTION_ELEMENT

### NAME_ATTR

    public final static String NAME_ATTR

### OBLIGATORY_ATTR

    public final static String OBLIGATORY_ATTR

### PROPERTY_ELEMENT

    public final static String PROPERTY_ELEMENT

### READ_ONLY_ATTR

    public final static String READ_ONLY_ATTR

### RETURNS_ELEMENT

    public final static String RETURNS_ELEMENT

### THROWS_ELEMENT

    public final static String THROWS_ELEMENT

### TYPE_ATTR

    public final static String TYPE_ATTR

Method Detail

### getHelpValue

    public static String getHelpValue(Object scriptable)
                                throws PropertyException

### readFunctionInfo

    public static void readFunctionInfo(FunctionInfo info, Scriptable scope, IConfigurationElement[] elements)

### readFunctionInfo

    public static void readFunctionInfo(FunctionInfo info, Scriptable scope, IConfigurationElement docElement)

### readHostObjectInfo

    public static void readHostObjectInfo(HostObjectInfo info, Scriptable host, IConfigurationElement element)

### readPropertyInfo

    public static void readPropertyInfo(PropertyInfo info, Scriptable scope, IConfigurationElement element)

### setHelpValue

    public static void setHelpValue(Object scriptable, String help)
                              throws PropertyException

Association Links

to Class org.apache.log4j.Category

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.util.HashMap

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM